Bug 435872 - buildid processing doesn't handle foreign binaries
buildid processing doesn't handle foreign binaries
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
14
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 02:46 EST by Ralf Corsepius
Modified: 2012-08-16 18:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:12:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-03-04 02:46:58 EST
Description of problem:

find-debuginfo.sh's buildid processing breaks building rpms containing 
containing foreign ELF-binaries.

Example: crossbuilding a linux->freebsd GCC:

+ /usr/lib/rpm/find-debuginfo.sh
/users/rtems/src/rpms/BUILD/i586-pc-freebsd6.3-gcc-4.2.3
...
/var/tmp/i586-pc-freebsd6.3-gcc-4.2.3-0.20080227.1.fc8-root-rtems/usr/lib64/gcc/i586-pc-freebsd6.3/4.2.3/libmudflap.so.0
*** ERROR: No build ID note found in
/var/tmp/i586-pc-freebsd6.3-gcc-4.2.3-0.20080227.1.fc8-root-rtems/usr/lib64/gcc/i586-pc-freebsd6.3/4.2.3/libmudflap.so.0
error: Bad exit status from /var/tmp/rpm-tmp.10911 (%install)

Version-Release number of selected component (if applicable):
rpm-4.4.2.2-7.fc8

How reproducible:
build an rpm containing a foreign ELF file.

Actual results:
Breakdown. rpmbuild fails

Expected results:
Function.

Additional info:
This is a regression against former Fedora releases. 

Though rpmbuild/redhat-rpm-config have never been able to process foreign
binaries properly (find-provides, find-requires etc. all suffer from similar
issues), this is a new defect.
Comment 1 Bug Zapper 2008-11-26 05:00:33 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jimmy Dorff 2009-02-19 16:20:33 EST
I think I am seeing this problem when building openmpi configured to use the Intel Professional compiler. I get the error:
*** ERROR: No build ID note found in .../BUILDROOT/openmpi-1.2.4-2.fc10.i386/usr/lib/openmpi/1.2.4-gcc/libmpi_f90.so.0.0.0
Comment 3 Panu Matilainen 2009-02-20 01:23:26 EST
You can work around it by setting _missing_build_ids_terminate_build macro to 0, either in spec or build-environment configuration (this wasn't the case in F8 when this was originally reported though)
Comment 4 TK009 2009-10-30 13:00:33 EDT
Setting this to F11 so it wont get EOL closed. If this is incorrect and the problem is resolved please close.


TK009
-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2010-04-27 07:55:58 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 06:32:56 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Ralf Corsepius 2010-06-28 06:56:56 EDT
Reopening .. this deficiency of rpm has persisted without any improvement
through current rawhide.
Comment 8 Jeff Johnson 2010-07-04 10:42:18 EDT
Generating a buildid in an ELF notes section is _ENTIRELY_
a compiler issue. The issues of packaging and cross-compilation
and extraction (from included ELF binaries) are never going to be solved
within RPM itself.

But feel free to keep reopening this bug as often as you wish. Have fun!
Comment 9 Bug Zapper 2010-07-30 06:31:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Roland McGrath 2010-08-09 15:12:29 EDT
The bug summary is wrong AFAICT.  The build-id processing (perhaps unlike autorequires/autoprovides stuff) should indeed handle any different machine's ELF format just fine.  The issue is that the Fedora rpm macros assume the Fedora compiler settings, which include --build-id being enabled by default in the compiler.  So you really should be using a similarly-configured compiler for any circumstance where you use the Fedora redhat-rpm-macros stuff.
Comment 11 Jeff Johnson 2010-08-09 15:24:02 EDT
re: comment #10: RPM uses the gelf interface from elfutils. And hence will be as good or bad
as what elfutils provides wrto per-architecture ELF formats.
Comment 12 Fedora End Of Life 2012-08-16 18:12:04 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.